// Colors
$white: #ffffff;
$black: #000000;

// Sizes
$base-font-size: 16px;
$base-font-family: "Noto Sans", sans-serif;

$breakpoints: (
  "phone": 400px,
  "phone-wide": 480px,
  "phablet": 560px,
  "tablet-small": 640px,
  "tablet": 768px,
  "tablet-wide": 1024px,
  "desktop": 1248px,
  "desktop-wide": 1440px,
);

$content-size: 1200px;
.mb20 {
  margin-bottom: 20px;
}
.fr {
  font-family: Noto Sans;
  font-style: normal;
}
.tac{
  text-align: center;
}
.fwb {
  font-weight: bold !important;
}
.fww {
  flex-wrap: wrap;
}
.df {
  display: flex;
  &.jcsb {
    justify-content: space-between;
  }
  &.aic {
    align-items: center;
  }
  &.aifs {
    align-items: flex-start;
  }
  &.aife {
    align-items: flex-end;
  }
  &.jcfe {
    justify-content: flex-end;
  }
  &.jcfs {
    justify-content: flex-start;
  }
  &.jcc {
    justify-content: center;
  }
  &.fdc {
    flex-direction: column;
  }
}
.max_line {
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  &-2{
    -webkit-line-clamp: 2; /* number of lines to show */
  }
  &-3{
    -webkit-line-clamp: 3; /* number of lines to show */
  }
}
.p0 {
  padding: 0 !important;
}
.slick-dots {
  position: absolute;
  bottom: 20px;
  @media all and (max-width: 768px) {
    bottom: 5px;
  }
  li button:before {
    font-size: 15px;
  }
  li.slick-active button:before {
    color: #ffffff;
  }
  &.slick-slider {
    margin-bottom: 0;
    position: relative;
  }
}
.slick-dotted.slick-slider {
  margin-bottom: 0;
}
.slick-dots li button:before {
  font-size: 50px;
  @media all and (max-width: 768px) {
    font-size: 15px;
    content: "_";
  }
}
.breadcumb {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  @media all and (max-width: 768px) {
    display: none;
  }
  &-item {
    font-style: normal;
    font-weight: normal;
    font-size: 14px;
    line-height: 16px;
    height: 46px;
    display: flex;
    margin-right: 20px;
    align-items: center;
    position: relative;
    a {
      color: #000000;
    }
    &:after {
      content: "";
      position: absolute;
      right: -13px;
      height: 6px;
      width: 6px;
      z-index: 1;
      border-top: 1px solid $black;
      border-right: 1px solid $black;
      transform: rotate(45deg);
    }
    &:last-child {
      font-weight: bold;
      &:after {
        content: none;
      }
    }
  }
}
.loadajax {
  width: 170px;
  height: 42px;
  margin: 0 auto 20px;
  background: #ffffff;
  border-radius: 3px;
  font-size: 14px;
  line-height: 16px;
  color: #656565;
  cursor: pointer;
}
.ratting {
  span {
    font-weight: 300;
    font-size: 14px;
    line-height: 16px;
    text-decoration-line: underline;
    color: #c0392b;
    padding-right: 8px;
  }
}
.Stars {
  --percent: calc(var(--rating) / 5 * 100%);

  display: inline-block;
  font-size: 20px;
  font-family: Times; // make sure ★ appears correctly
  line-height: 1;

  &::before {
    content: "★★★★★";
    font-size: 20px;
    line-height: 23px;
    letter-spacing: -1px;
    background: linear-gradient(90deg, #c0392b var(--percent), #e5e5e5 var(--percent));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
  }
}
.filter-item-checkbox {
  display: block;
  position: relative;
  padding-left: 20px;
  margin: 10px 0;
  text-align: left;
  font-size: 14px;
  line-height: 16px;
  display: flex;
  align-items: center;
  color: #656565;
  cursor: pointer;
  font-size: 12px;
  user-select: none;
  &.radio {
    .checkmark {
      border-radius: 10px;
    }
  }
  input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    &:checked {
      ~ {
        .checkmark {
          border: 1px solid #c0392b;
          background-color: #ffffff;
          box-sizing: border-box;
          &:after {
            display: block;
          }
        }
      }
    }
  }
  &:hover {
    input {
      ~ {
        .checkmark {
          border: 1px solid #c0392b;
          background-color: #ffffff;
        }
      }
    }
  }
  .checkmark {
    position: absolute;
    top: 1px;
    left: 0;
    height: 14px;
    width: 14px;
    border: 1px solid #808285;
    background-color: #ffffff;
    &:after {
      content: "";
      position: absolute;
      display: none;
      top: 1px;
      left: 4px;

      width: 5px;
      height: 9px;
      border: solid #c0392b;
      border-width: 0 2px 2px 0;
      -webkit-transform: rotate(45deg);
      -ms-transform: rotate(45deg);
      transform: rotate(45deg);
    }
  }
}
form.form {
  width: 340px;
  margin: 0 auto;
  .input{
    position: relative;
    padding: 20px 0 10px;
    text-align: center;
  }
  label {
    position: absolute;
    top: 30px;
    font-size: 14px;
    text-align: left;
    line-height: 16px;
    width: 100%;
    margin-bottom: 10px;
    touch-action: none;
    color: #737373;
    transition: 0.3s;
    margin-left: 5px;
    z-index: 1;
    &.show{
      top: 5px;
      font-size: 10px;
      color: $black
    }
    &.focus {
      color: #1e70b8;
    }
  }
  input, textarea {
    background: #ffffff;
    border: none;
    border-bottom: 1px solid #888888;
    box-sizing: border-box;
    width: 100%;
    font-size: 14px;
    border-radius: 0;
    background: transparent;
    position: relative;
    padding: 0 5px;
    line-height: 20px;
    z-index: 2;
    height: 35px;
    outline: none;
    &:focus {
      border: none;
      border-bottom: 1px solid #1e70b8;
    }
    &.error {
      border: none;
      border-bottom: 1px solid #e74c3c;
    }
  }
  textarea {
    background: #ffffff;
    border: 1px solid #888888;
    box-sizing: border-box;
    width: 100%;
    font-size: 16px;
    padding: 5px 10px;
    line-height: 20px;
    outline: none;
    margin-bottom: 20px;
  }
  button {
    padding: 10px 30px;
    margin: 10px auto 30px;
    border: 1px solid #ffbf00;
    background-color: transparent;
    font-size: 14px;
    color: #ffbf00;
    text-transform: uppercase;
    font-weight: 700;
    transition: 0.2s;
    cursor: pointer;
    &:hover {
      background-color: #ffbf00;
      color: #000000;
    }
  }
}
